Page MenuHomePhabricator

[compiler-rt] Fix OS X build failure with Command Line Tools and without full Xcode installation
ClosedPublic

Authored by kubamracek on Feb 14 2015, 8:31 AM.

Details

Reviewers
kubamracek
Summary

On OS X, if you don't have a full Xcode installation, but just the Command Line Tools package, xcrun and xcodebuild don't return a valid SDK root path. In these cases, let's use "/" as the SDK root (which is where the headers and libraries are installed).

See http://lists.cs.uiuc.edu/pipermail/llvm-commits/Week-of-Mon-20150202/256851.html.

Diff Detail

Event Timeline

kubamracek updated this revision to Diff 19965.Feb 14 2015, 8:31 AM
kubamracek retitled this revision from to [compiler-rt] Fix OS X build failure with Command Line Tools and without full Xcode installation.
kubamracek updated this object.
kubamracek edited the test plan for this revision. (Show Details)
kubamracek added subscribers: Unknown Object (MLST), bogner, zaks.anna and 3 others.
kubamracek updated this revision to Diff 20081.Feb 17 2015, 6:40 AM

Updating the patch to omit the -isysroot completely instead of using "/".

So is this okay to commit?

kubamracek accepted this revision.Feb 28 2015, 4:27 AM
kubamracek added a reviewer: kubamracek.

Landed in r230847.

This revision is now accepted and ready to land.Feb 28 2015, 4:27 AM
kubamracek closed this revision.Feb 28 2015, 4:27 AM